> For the complete documentation index, see [llms.txt](https://docs.flatredball.com/flatredball/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flatredball.com/flatredball/api/flatredball/ai/pathfinding-2/flatredball-ai-pathfinding-tilenodenetwork/occupytileworld.md).

# OccupyTileWorld

### Introduction

OccupyTileWorld marks the tile at the given location (in world coordinates) as occupied. Occupied tiles can have an occupier which can be checked with the GetOccupier function. Note that occupied tiles will still be considered in pathfinding.

### Code Example

The following code shows how to check if a tile is occupied, and if so, to move a character to the given tile. To keep the code shorter, it only considers moving in one direction.

```lang:c#
// Assumes Player is a valid entity
if(InputManager.Keyboard.KeyDown(Keys.Right))
{
    var isTileOccupied = tileNodeNetwork.IsTileOccupiedWorld(
        Player.X + 16, // assumes tiles are 16 pixels
        Player.Y);

    if(!isTileOccupied)
    {
        // un-occupy the current tile:
        tileNodeNetwork.Unoccupy(this);

        tileNodeNetwork.OccupyTileWorld(
            Player.X + 16, 
            Player.Y,
            Player);

        // Move the player to the tile, either by setting the position
        // directly, or by setting velocity or doing some other form of 
        // interpolation.
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.flatredball.com/flatredball/api/flatredball/ai/pathfinding-2/flatredball-ai-pathfinding-tilenodenetwork/occupytileworld.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
